Skip to main content
GET
List products

Authorizations

Authorization
string
header
required

HTTP Basic authentication. Use your secret key as the username and an empty string as password. The API key should be base64 encoded in the format 'username:' when sending the Authorization header.

Query Parameters

merchantId
string

Filter by merchant (admin use).

type
enum<string>

Filter by product type.

Available options:
physical,
digital
status
enum<string>

Filter by status.

Available options:
active,
inactive

Search by name or sku.

page
integer
default:1
size
integer
default:10
orderBy
string

Order results by fields (comma-separated). Prefix with - for descending order. Example: -createdAt,name.

Response

Successfully retrieved the list of products

data
object[]
page
integer
Example:

1

pages
integer
Example:

10

total
integer
Example:

100

size
integer
Example:

10